<?php

namespace App\Core\Repository\Offer;

use App\Models\Offer;
use App\Core\Repository\EleqouentAbstractRepository;

class OfferRepository extends EleqouentAbstractRepository
{
    private $offer;

    public function __construct(Offer $offer)
    {
        parent::__construct();
        $this->offer = $offer;
        $this->defaultModel = $this->offer;
    }

}
